/* NOTE:  this file (cimages.h) depends on fitsio.h */

# include "ximio.h"
#include "c_iraf.h"

# define SZ_FNAME    1024
# define SZ_ERRMESS  1024
# define SZ_FITS_STR   80

/* Descriptive information for a table. */
typedef struct {
        char *imagename;        /* table name as specified by the user */
        char *fullname;         /* OS file name (may still include brackets) */
        char *filename;         /* OS file name (without brackets) */
        char *brackets;         /* expression (if any) in brackets */
        fitsfile *fptr;         /* CFITSIO descriptor */
        IRAFPointer tp_template;   /* tp for template, or NULL */
        int image_exists;       /* 1 if the table has been created */
        int iomode;             /* IRAF code for I/O mode */
        int hdunum;             /* HDU number (CFITSIO convention) */
        int hdutype;            /* type of HDU (CFITSIO convention) */
        long nrows;             /* number of rows in the table */
        int ncols;              /* number of columns */
} ImageDescr;

IRAFPointer init_ip (void);
void free_ip (IRAFPointer ip);

/* in cerror.c */
void setError (int status, char *msg);
void clearError (void);
int checkError (void);

/* in c_vfn2osfn.c */
int c_vfn2osfn(const char *const vfn, char *const osfn);
